Subject: Re: bug#67269: 30.0.50; italic face fallback does not assume italic properties

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Nov 2023 14:58:20 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 19 Nov 2023 20:37:34 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Yes, choosing the default font for Emacs is not a trivial task.  Bold
> > and Italic are just one aspect of that; the other is support for
> > enough non-ASCII characters to avoid changing fonts too frequently in
> > multilingual text.  Which is why Emacs comes with hard-coded defaults
> > for the standard fonts.  People who customize their fontsets should
> > understand the issues and choose the default font wisely.
> 
> On the systems I mentioned, the default font is either Droid Sans Mono
> or Noto Sans Mono.  Emacs's fontset selects that font, since they are
> tied to the "Monospace" font name it specifies.

Then maybe we should change the default fontset's definition on
Android (if those are the systems you have in mind).  We already do
that for w32, see w32-standard-fontset-spec as opposed to
standard-fontset-spec.

> > Please show a patch, to make sure we are talking about the same thing.
> 
> I don't have a patch at the ready, but see shr-tag-i in shr.el.

I don't understand how shr-tag-i is relevant.  I'm probably missing
something.